<?xml version="1.0" encoding="UTF-8"?>
<ModelMBean>
<ModelMBeanDescriptor name="com.adventnet.nms.jmxagent.NodeTable" descriptorType="mbean" displayName="NMS Node details" log="T" logfile="jmxagent.log" currencyTimeLimit="10" export="null" visibility="1" persistPolicy="Never" persistLocation="jmxstore" persistName="NodeTable" description="the trapNodeTable" presentationString="notValid"/>
<attributeDescriptors>
<attribute name="com.adventnet.nms.jmxagent.NodeTable" descriptorType="attribute" type="javax.jmx.openmbean.TabularData" description="This table describes the nodes in the NMS" isReadable="T" isWritable="T" isIs="F" displayName="NodeTable" getMethod="getNodeTable" setMethod="setNodeTable" iterable="F">
<protocolMap name="SNMP" type="table" value=".1.3.6.1.4.1.2162.4.2.9.1"/>
<columnAttribute name="MoNameIndex" descriptorType="attribute" type="java.lang.String" isReadable="T" isWritable="F" isIs="F">
<protocolMap name="SNMP" type="DisplayString" value=".1.3.6.1.4.1.2162.4.2.6.1.1"/>
</columnAttribute>
<columnAttribute name="MoOwnerName" descriptorType="attribute" type="java.lang.String" isReadable="T" isWritable="F" isIs="F">
<protocolMap name="SNMP" type="DisplayString" value=".1.3.6.1.4.1.2162.4.2.6.1.2"/>
</columnAttribute>
<columnAttribute name="IsRouter" descriptorType="attribute" type="java.lang.String" isReadable="T" isWritable="F" isIs="F">
<protocolMap name="SNMP" type="DisplayString" value=".1.3.6.1.4.1.2162.4.2.9.1.1"/>
</columnAttribute>
<columnAttribute name="InheritingOid4" descriptorType="attribute" type="java.lang.String" isReadable="T" isWritable="F" isIs="F">
<protocolMap name="SNMP" type="OBJECT IDENTIFIER" value=".1.3.6.1.4.1.2162.4.2.9.1.2"/>
</columnAttribute>
<columnAttribute name="InheritingTableName4" descriptorType="attribute" type="java.lang.String" isReadable="T" isWritable="F" isIs="F">
<protocolMap name="SNMP" type="DisplayString" value=".1.3.6.1.4.1.2162.4.2.9.1.3"/>
</columnAttribute>
</attribute>
</attributeDescriptors>
<operationDescriptors>
<operation name="com.adventnet.nms.jmxagent.NodeTable" descriptorType="operation" displayName="NodeTableDefaultConstructor" description="default constructor" role="constructor">
<params/>
</operation>
<operation name="getNodeTable" descriptorType="operation" displayName="getNodeTable" description="gets the NodeTablevalues" role="getter" impact="INFO" operResponseType="javax.jmx.openmbean.TabularData">
<params/>
</operation>
<operation name="setNodeTable" descriptorType="operation" displayName="setNodeTable" description="sets  the NodeTablevalues" role="setter" impact="ACTION">
<params>
<param name="nodeTable" type="javax.jmx.openmbean.TabularData"/>
</params>
</operation>
<operation name="getIndexNames" descriptorType="operation" displayName="getIndexNames" description="gets the index column names of the table" role="operation" impact="INFO" operResponseType="[Ljava.lang.String;">
<params/>
</operation>
		<operation name="getEntry" descriptorType="operation"
			displayName="getEntry" description="gets the table entry for given instance"
			role="operation" impact="INFO" 
			operResponseType="javax.jmx.openmbean.CompositeData" >
			<params>
				<param name="inst" type="[Ljava.lang.Object;" />
			</params>			
		</operation>
		
		<operation name="getNextEntry" descriptorType="operation"
			displayName="getNextEntry" description="gets the table next entry for given instance"
			role="operation" impact="INFO" 
			operResponseType="javax.jmx.openmbean.CompositeData" >
			<params>
				<param name="inst" type="[Ljava.lang.Object;" />
			</params>			
		</operation>
		
		<operation name="getFirstEntry" descriptorType="operation"
			displayName="getFirstEntry" description="gets the table first entry"
			role="operation" impact="INFO" 
			operResponseType="javax.jmx.openmbean.CompositeData" >
			<params>				
			</params>			
		</operation>
		
		<operation name="getEntries" descriptorType="operation"
			displayName="getEntries" description="gets the table entry for given instance"
			role="operation" impact="INFO" 
			operResponseType="java.util.ArrayList" >
			<params>
				<param name="sIndex" type="int" />
				<param name="eIndex" type="int" />
			</params>			
		</operation>

		<operation name="totalRows" descriptorType="operation"
			displayName="totalRows" description="gets the table entry for given instance"
			role="operation" impact="INFO" 
			operResponseType="int" >
		</operation>
		
		<operation name="addRow" descriptorType="operation"
			displayName="addRow" description="to add a row in the table for given instance"
			role="operation" impact="ACTION" 
			operResponseType="void" >
			<params>
				<param name="inst" type="[Ljava.lang.Object;" />
				<param name="entry" type="javax.jmx.openmbean.CompositeData" />
			</params>			
		</operation>
		
		<operation name="deleteRow" descriptorType="operation"
			displayName="deleteRow" description="to delete a row in the table for given instance"
			role="operation" impact="ACTION" 
			operResponseType="void" >
			<params>
				<param name="inst" type="[Ljava.lang.Object;" />	
			</params>			
		</operation>
		
		<operation name="modifyRow" descriptorType="operation"
			displayName="modifyRow" description="to modify a row in the table for given instance"
			role="operation" impact="ACTION" 
			operResponseType="void" >
			<params>
				<param name="inst" type="[Ljava.lang.Object;" />
				<param name="entry" type="javax.jmx.openmbean.CompositeData" />
			</params>			
		</operation>
</operationDescriptors>
<notificationDescriptors/>
</ModelMBean>
